<?php

//Theme Option -> Maintenance
$theme_maintenance_panel = new Miion_WP_Customize_Panel( $wp_customize, 'theme_maintenance_panel', array(
	'title'			=> esc_html__( 'Maintenance', 'miion' ),
	'description'	=> esc_html__( 'This is the setting for maintenance of current site.', 'miion' ),
	'priority'		=> 11,
	'panel'			=> 'miion_theme_panel'
));
$wp_customize->add_panel( $theme_maintenance_panel );

//Maintenance -> General Maintenance
$miion_maintenance_section = new Miion_WP_Customize_Section( $wp_customize, 'miion_maintenance_section', array(
	'title'			=> esc_html__( 'General Maintenance', 'miion' ),
	'description'	=> esc_html__( 'This is the general setting for maintenance of current site.', 'miion' ),
	'priority'		=> 1,
	'panel'			=> 'theme_maintenance_panel'
));
$wp_customize->add_section( $miion_maintenance_section );

//General Maintenance
$wp_customize->add_setting('ajax_trigger_miion_maintenance_section', array(
	'default'           => '',
	'sanitize_callback' 	=> 'esc_attr'
));
$wp_customize->add_control( new Trigger_Custom_control( $wp_customize, 'ajax_trigger_miion_maintenance_section', array(
	'section'		=> 'miion_maintenance_section'
)));